Bug 71615 - Disable "last message repeated N times" and print real messages
Disable "last message repeated N times" and print real messages
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-15 15:21 EDT by Cliff Larsen
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch diff file for syslogd.c and sysklogd.8 for 1.4.1 (2.57 KB, patch)
2002-08-15 15:23 EDT, Cliff Larsen
no flags Details | Diff

  None (edit)
Description Cliff Larsen 2002-08-15 15:21:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
In our architecture, while testing hardware, it is often useful to
be able to post-proces the messages file, doing things like counting
the number of various messages occurring over time. The task is
made more difficult by the unpredictable occurrence of 
 "last message repeated N times"
which apparently is an optimization in the syslogd that can't be
turned off.

This is a request to provide the user the option to turn off this
optimization at syslogd startup time.

A patch to 1.4.1 which does so is (will be) attached.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. bash:  for i in 1 2 3 4 5 6 7 8 9 10;do logger -t TEST "Correctable Memory
Error"; sleep 15;done
2. watch /var/log/messages for "last message repeated N times"
	

Actual Results:  Aug 15 15:16:44 clarsen TEST: Correctable Memory Error
Aug 15 15:17:29 clarsen last message repeated 3 times
Aug 15 15:18:44 clarsen last message repeated 5 times


Expected Results:  Aug 15 15:16:44 clarsen TEST: Correctable Memory Error
Aug 15 15:16:59 clarsen TEST: Correctable Memory Error
Aug 15 15:17:14 clarsen TEST: Correctable Memory Error
Aug 15 15:17:29 clarsen TEST: Correctable Memory Error
Aug 15 15:17:44 clarsen TEST: Correctable Memory Error
...etc...

Additional info:
Comment 1 Cliff Larsen 2002-08-15 15:23:05 EDT
Created attachment 70924 [details]
patch diff file for syslogd.c and sysklogd.8 for 1.4.1
Comment 2 Bill Nottingham 2006-08-05 01:25:22 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 13:05:26 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.